microsoft-foundry.rest.security.o-auth2-auth
Agent Session Files
Upload a session file
PUT
/agents/{agent_name}/endpoint/sessions/{agent_session_id}/files/content
Uploads binary file content to the specified path in the session sandbox. The service stores the file relative to the session home directory and rejects payloads larger than 50 MB.
パス パラメーター
agent_name
string
必須
The name of the agent.
agent_session_id
string
必須
The session ID.
クエリ パラメーター
path
string
必須
The destination file path within the sandbox, relative to the session home directory.
api-version
string
必須
The API version to use for this operation.
要求本文
Content-Type: application/octet-stream
応答
The request has succeeded and a new resource has been created as a result.
本文
Content-Type: application/json
path
string
必須
The path where the file was written, relative to the session home directory.
bytes_written
integer
必須
Number of bytes written.
要求
PUT /agents/{agent_name}/endpoint/sessions/{agent_session_id}/files/content HTTP/1.1
回答
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json